#ifndef DEF_OBJ_GRILLE
#define DEF_OBJ_GRILLE

#include "main.h"

class Grille
{
	public:
	Grille();
	void afficher(SDL_Surface *ecran);
	void init();
	void def_sel(int x, int y);
	void key(int key_push);
	int check();
	int check_case(int x, int y);
	int check_ligne(int y);
	int check_col(int x);
	void init_vals();
	int fini();
	void set_block();
	int solve(SDL_Surface *ecran);
	int max_solve(SDL_Surface *ecran);
	int calcul_not(SDL_Surface *ecran);
	int not_case(int x, int y);
	int not_ligne(int y);
	int not_col(int x);
	int cal_case(int x, int y, SDL_Surface *ecran);
	int cal_ligne(int y, SDL_Surface *ecran);
	int cal_col(int x, SDL_Surface *ecran);
	void save(const char*f_name);
	void load(const char*f_name);
	void clear();
	void id_save_mod(int mod_val);
	void caption_aff();
	void save_id();
	void load_id();
	void set_graph(int graph_mode, int need_rst);
	
	private:
	char chaine[100];
	int grille[9][9];
	int b_grille[9][9];
	SDL_Surface *aff_nb[9];
	SDL_Rect pos;
	SDL_Surface *car[6];
	SDL_Rect selector;
	int val;
	int vals[9];
	int last_val;
	int error;
	int result;
	int not_grille[9][9][9];
	int nb_pos;
	int supo_id;
	int supo_posi;
	FILE *fich;
	int id_save;
	int ms_x;
	int ms_y;
	int ms_val;
};

#endif
