#include "main.h"
#include "grille.h"

int main(int argc, char *argv[])
{
	SDL_Init(SDL_INIT_VIDEO);
	SDL_Surface *ecran = SDL_SetVideoMode(600, 600, 32, SDL_HWSURFACE);
	int cont = 1;
	SDL_Event event;
	Grille grille;
	while(cont)
	{
		SDL_WaitEvent(&event);
		//cont = !grille.fini();
		switch(event.type)
		{
			case SDL_QUIT:
			cont = 0;
			break;
			case SDL_KEYDOWN:
			switch(event.key.keysym.sym)
			{
				case SDLK_ESCAPE:
				cont = 0;
				break;
				case SDLK_SPACE:
				grille.set_block();
				break;
				case SDLK_RETURN:
				grille.init();
				break;
				case SDLK_UP:
				grille.solve(ecran);
				break;
				case SDLK_RIGHT:
				grille.id_save_mod(1);
				break;
				case SDLK_LEFT:
				grille.id_save_mod(-1);
				break;
				case SDLK_s:
				grille.save_id();
				break;
				case SDLK_l:
				grille.load_id();
				break;
				case SDLK_i:
				grille.set_graph(1,1);
				break;
				case SDLK_o:
				grille.set_graph(0,1);
				break;
				case SDLK_c:
				grille.clear();
				break;
				default:
				grille.key(event.key.keysym.sym);
				break;
			}
			break;
			case SDL_MOUSEBUTTONUP:
			switch(event.button.button)
			{
				case SDL_BUTTON_LEFT:
				grille.def_sel(event.button.x,event.button.y);
				break;
			}
			break;
		}
		grille.afficher(ecran);
		SDL_Flip(ecran);
	}
	SDL_Quit();
	exit(EXIT_SUCCESS);
}
